Я использую 64-разрядную версию linux debian 9.4.0 на своей машине. Поскольку я установил текстовый редактор Atom, я получаю ОШИБКУ при запуске обновления ap-get. Ошибка гласит следующее:

W: GPG-Fehler: https://packagecloud.io/AtomEditor/atom/any любой InRelease: Die folgenden Signaturen konnten nicht überprüft werden, weil ihr öffentlicher Schlüssel nicht verfügbar ist: NO_PUBKEY 4C6E74D6C0A35108 W: Репозиторий 'https://packagecloud.io/AtomEditor/atom/any любой InRelease 'не подписано. N: данные из такого репозитория не могут быть аутентифицированы и поэтому потенциально опасны для использования. N: См. Справочную страницу apt-secure (8) для получения информации о создании репозитория и конфигурации пользователя.

В первой строке говорится, что подпись моего ключа PGP не может быть проверена, поскольку PUBKEY недоступен.

Постоянно отображается одно и то же сообщение об ошибке, хотя я удалил атом из своей системы.

Может ли кто-нибудь помочь мне сделать так, чтобы моя система снова обновлялась должным образом, и как установить атом, не вызывая проблем в будущем?

Заранее спасибо!

1
dennisN86 31 Май 2018 в 10:37

1 ответ

Лучший ответ

РЕДАКТИРОВАТЬ: Сначала я неправильно понял вопрос и подумал, что вы хотите полностью удалить Atom и репозиторий. В этом случае решением было бы удалить соответствующую запись из вашего файла /etc/apt/sources.list (или соответствующего файла в etc/apt/sources.list.d, в зависимости от того, какой из них существует).

Теперь я понимаю, что вы пытаетесь установить и обновить Atom без сообщения об ошибке, описанного в вашем вопросе.

В этом случае кажется, что ключ репозитория не может быть установлен в вашей системе. Вы можете попробовать следовать инструкциям на странице https://packagecloud.io/app/ AtomEditor / atom / gpg # gpg-apt, чтобы вручную установить необходимый ключ GPG. Я рекомендую прочитать все инструкции на этой странице, но соответствующая команда будет curl -L https://packagecloud.io/AtomEditor/atom/gpgkey | sudo apt-key add -

1
ptschack 31 Май 2018 в 09:28